# Uses of Enum Class
javafx.scene.text.FontWeight

Packages that use FontWeight
Package
Description
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of FontWeight in javafx.css.converter

Methods in javafx.css.converter that return FontWeight
Modifier and Type
Method
Description
`FontWeight`
FontConverter.FontWeightConverter.`convert(ParsedValue<String,FontWeight> value, Font font)`
Method parameters in javafx.css.converter with type arguments of type FontWeight
Modifier and Type
Method
Description
`FontWeight`
FontConverter.FontWeightConverter.`convert(ParsedValue<String,FontWeight> value, Font font)`

## Uses of FontWeight in javafx.scene.text

Methods in javafx.scene.text that return FontWeight
Modifier and Type
Method
Description
`static FontWeight`
FontWeight.`findByName(String name)`
Returns `FontWeight` by its name.
`static FontWeight`
FontWeight.`findByWeight(int weight)`
Returns the closest `FontWeight` for a weight value as defined by the CSS and OpenType specifications.
`static FontWeight`
FontWeight.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FontWeight[]`
FontWeight.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.text with parameters of type FontWeight
Modifier and Type
Method
Description
`static Font`
Font.`font(String family, FontWeight weight, double size)`
Searches for an appropriate font based on the font family name and weight style.
`static Font`
Font.`font(String family, FontWeight weight, FontPosture posture, double size)`
Searches for an appropriate font based on the font family name and weight and posture style.